<script>
	import request from '@/network/request.js'
	// #ifdef APP-PLUS
	import update from '@/uni_modules/uni-upgrade-center-app/utils/check-update';
	// #endif
	export default {
		onLaunch: function() {
			// 添加默认域名
			let configList = uni.getStorageSync('configList');
			if(!configList || configList.length == 0){
				let configList = [{
					id:this.$u.guid(32),
					protocol:'https://',
					address:'cloud.iot-fast.com',
				}]
				uni.setStorageSync('configList',configList)
				uni.setStorageSync('configIndex',0)
			}
			
			// #ifdef APP-PLUS
			update();
			uni.onTabBarMidButtonTap(()=>{
				uni.scanCode({
					scanType: ['qrCode'],
				    success: function (res) {
							console.log("扫一扫获取内容",res)
							// if(res.result){
							// 	let [type,prodKey,devKey] = res.result.split(':')
							// 	if(prodKey&&devKey){
							// 		let opt = {
							// 			url: '/prod-api/iot/device/get/device',
							// 			method: "GET",
							// 		}
							// 		let params={
							// 			devKey,
							// 			pd:prodKey
							// 		}
							// 		// this.$request调用为空，应该是onLaunch时$request还未挂载，直接引入request使用
							// 		request.TokenRequest(opt,params).then(res => {
							// 			console.log('res',res)
							// 			if(res.code==200){
							// 				if(res.data){
							// 					let deviceId=res.data.deviceId;
							// 					uni.navigateTo({
							// 						url:'/pages/device/detail?deviceId='+deviceId,
							// 						success: (res) => {
							// 							uni.showToast({
							// 									title: '跳转成功',
							// 								icon: 'none'
							// 							});
							// 						},
							// 						fail: (err) => {
							// 							uni.showToast({
							// 									title: '跳转失败',
							// 								icon: 'none'
							// 							});
							// 						}
							// 					})
							// 				}else{
							// 					uni.showToast({
							// 							title: '未查询到设备id',
							// 						icon: 'none'
							// 					});
							// 				}
							// 			}else{
							// 				uni.showToast({
							// 						title: res.msg,
							// 					icon: 'none'
							// 				});
							// 			}
							// 		}, error => {
							// 			uni.showToast({
							// 					title: '服务器开小差了呢，请您稍后再试',
							// 				icon: 'none'
							// 			});
							// 		})
							// 	}
							// }
				    }
				});
			})
			// #endif
		},
		onShow: function() {
			console.log('App Show')
			// #ifdef MP-WEIXIN
			// 检查微信小程序更新
			this.updateApp()
			// #endif
		},
		onHide: function() {
			console.log('App Hide')
		},
		mounted() {
			console.log('App mounted')
			// uni.setTabBarItem({
			//   index: 0,
			//   text: '智能',
			// })
		},
		methods:{ 
			// 版本更新检查
			updateApp(){
				const updateManager = uni.getUpdateManager();
				updateManager.onCheckForUpdate(function (res) {
				  // 请求完新版本信息的回调
				  console.log("请求完新版本信息的回调",res.hasUpdate);
				});
				updateManager.onUpdateReady(function (res) {
				  uni.showModal({
				    title: '更新提示',
				    content: '新版本已经准备好，是否重启应用？',
				    success(res) {
				      if (res.confirm) {
				        // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
				        updateManager.applyUpdate();
				      }
				    }
				  });
				
				});
				updateManager.onUpdateFailed(function (res) {
				  // 新的版本下载失败
				});
			}
		}
	}
</script>

<style  lang="scss">
	/* #ifndef APP-NVUE */
	@import "uview-ui/index.scss";
	/* #endif */
</style>

<style>
	
	/*#ifndef APP-NVUE || MP-WEIXIN */
	@import "static/app-plus/fonts/iconfont.css";
	/*#endif*/
	/* #ifdef MP-WEIXIN */
	@import "static/common/fonts/iconfont.css";
	/* #endif */
	/* #ifndef APP-NVUE */
	@import "static/common/css/base.css";
	/* #endif */
</style>
